# Uses of Interface
org.opensaml.xmlsec.encryption.PRF

Packages that use PRF
Package
Description
org.opensaml.xmlsec.encryption
XMLObject interfaces and helper classes for representing encrypted content and encrypting/decrypting content.
org.opensaml.xmlsec.encryption.impl
Implementations of the interfaces for XMLObjects that represent XML encryption types.

## Uses of PRF in org.opensaml.xmlsec.encryption

Methods in org.opensaml.xmlsec.encryption that return PRF
Modifier and Type
Method
Description
`PRF`
PBKDF2Params.`getPRF()`
Get the PRF child element.
Methods in org.opensaml.xmlsec.encryption with parameters of type PRF
Modifier and Type
Method
Description
`void`
PBKDF2Params.`setPRF(PRF prf)`
Set the PRF child element.

## Uses of PRF in org.opensaml.xmlsec.encryption.impl

Classes in org.opensaml.xmlsec.encryption.impl that implement PRF
Modifier and Type
Class
Description
`class`
`PRFImpl`
Abstract implementation of `PRF`.
Fields in org.opensaml.xmlsec.encryption.impl declared as PRF
Modifier and Type
Field
Description
`private PRF`
PBKDF2ParamsImpl.`prf`
PRF child element.
Methods in org.opensaml.xmlsec.encryption.impl that return PRF
Modifier and Type
Method
Description
`PRF`
PRFBuilder.`buildObject()`
Builds an XMLObject using the default name and namespace information provided XML Encryption specifications.
`PRF`
PRFBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.
`PRF`
PBKDF2ParamsImpl.`getPRF()`
Get the PRF child element.
Methods in org.opensaml.xmlsec.encryption.impl with parameters of type PRF
Modifier and Type
Method
Description
`void`
PBKDF2ParamsImpl.`setPRF(PRF newPRF)`
Set the PRF child element.